Lorene::Diff_mx Class Reference
General PDE solvers (<em><strong>under development</strong></em>)

Class for the elementary differential operator multiplication by (see the base class `Diff` ). More...

`#include <diff.h>`

Inheritance diagram for Lorene::Diff_mx:

## Public Member Functions

| Diff_mx (int base_r, int nr)
| Standard constructor.
| Diff_mx (const Diff_mx &)
| Copy constructor.
virtual | ~Diff_mx ()
| Destructor.
void | operator= (const Diff_mx &)
| Assignment to another Diff_mx.
virtual const Matrice & | get_matrice () const
| Returns the matrix associated with the operator.
int | get_base () const
| Returns the base on which the operator is defined.
int | get_npoints () const
| Returns the number of coefficients (size of the matrix).
| operator Matrice () const
| Conversion to a matrix.

## Static Public Attributes

static const int | max_points = 50
| Maximal number of matrices stored per base.

## Protected Member Functions

virtual ostream & | operator>> (ostream &) const
| Operator >> (virtual function called by the operator <<).

## Protected Attributes

int | base
| Base in radial direction.
int | npoints
| Number of coefficients.

## Private Member Functions

void | initialize ()
| Initializes arrays.

## Detailed Description

Class for the elementary differential operator multiplication by (see the base class `Diff` ).

In the compactified external domain, it corresponds to a multiplication by . It is not defined in the nucleus. ()

Definition at line 250 of file diff.h.

## Constructor & Destructor Documentation

## Diff_mx() [1/2]

Lorene::Diff_mx::Diff_mx | ( | int | base_r,
|  | int | nr )

Standard constructor.

Definition at line 66 of file diff_mx.C.

References Lorene::Diff::base, Lorene::Diff::Diff(), initialize(), R_CHEBI, and R_CHEBP.

## Diff_mx() [2/2]

Lorene::Diff_mx::Diff_mx | ( | const Diff_mx & | diff_in | ) |

Copy constructor.

Definition at line 71 of file diff_mx.C.

References Lorene::Diff::base, Lorene::Diff::Diff(), Diff_mx(), R_CHEBI, and R_CHEBP.

## ~Diff_mx()

Lorene::Diff_mx::~Diff_mx | ( |  | ) |

virtual

Destructor.

Definition at line 76 of file diff_mx.C.

## Member Function Documentation

## get_base()

int Lorene::Diff::get_base | ( |  | ) | const

inline inherited

Returns the base on which the operator is defined.

Definition at line 96 of file diff.h.

References base.

## get_matrice()

const Matrice & Lorene::Diff_mx::get_matrice | ( |  | ) | const

virtual

Returns the matrix associated with the operator.

Implements Lorene::Diff.

Definition at line 96 of file diff_mx.C.

References Lorene::Diff::base, Lorene::Diff::max_points, Lorene::Diff::npoints, R_CHEBU, R_JACO02, Lorene::Matrice::set(), Lorene::Matrice::set_etat_qcq(), and TRA_R.

## get_npoints()

int Lorene::Diff::get_npoints | ( |  | ) | const

inline inherited

Returns the number of coefficients (size of the matrix).

Definition at line 99 of file diff.h.

References npoints.

## initialize()

void Lorene::Diff_mx::initialize | ( |  | ) |

private

Initializes arrays.

Definition at line 78 of file diff_mx.C.

References MAX_BASE, and Lorene::Diff::max_points.

## operator Matrice()

Lorene::Diff::operator Matrice | ( |  | ) | const

inline inherited

Conversion to a matrix.

Definition at line 102 of file diff.h.

References get_matrice().

## operator=()

void Lorene::Diff_mx::operator= | ( | const Diff_mx & | diff_in | ) |

Assignment to another Diff_mx.

Definition at line 90 of file diff_mx.C.

References Diff_mx(), and Lorene::Diff::operator=().

## operator>>()

ostream & Lorene::Diff_mx::operator>> | ( | ostream & | ost | ) | const

protected virtual

Operator >> (virtual function called by the operator <<).

Implements Lorene::Diff.

Definition at line 147 of file diff_mx.C.

## Member Data Documentation

## base

int Lorene::Diff::base

protected inherited

Base in radial direction.

Definition at line 74 of file diff.h.

## max_points

const int Lorene::Diff::max_points = 50

static inherited

Maximal number of matrices stored per base.

Definition at line 71 of file diff.h.

## npoints

int Lorene::Diff::npoints

protected inherited

Number of coefficients.

Definition at line 75 of file diff.h.

The documentation for this class was generated from the following files:

- diff.h
- diff_mx.C